Bug 1428946 - ui controls ignored in Host Comparison
Summary: ui controls ignored in Host Comparison
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Jozef Zigmund
QA Contact: Martin Kourim
URL:
Whiteboard: ui:compare:hosts
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 16:32 UTC by Martin Kourim
Modified: 2018-03-27 06:35 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:38:15 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Martin Kourim 2017-03-03 16:32:05 UTC
Description of problem:
All the UI controls are ignored once the "Compare Host / Node" view is displayed.
Selecting and unselecting Comparison Sections, changing attributes to display (all, with different values, with same values), changing mode (Detail or Exists), changing view (Expanded and Compressed) or removing host from comparison has no effect.


Version-Release number of selected component (if applicable):
5.8.0.3


How reproducible:
Very


Steps to Reproduce:
1. go to Compute -> Infrastructure -> Hosts
2. select hosts to compare
3. select Configuration -> Compare Selected items
4. try to use UI controls to change what is displayed

Actual results:
UI controls make no difference


Expected results:
UI control affects what information is displayed

Comment 3 Harpreet Kataria 2017-03-06 17:08:14 UTC
Martin,

This seems to be an issue caused by removal of layouts/compare render from show partials in non-explorer screens, app/controllers/application_controller/compare.rb is trying to replace html in main_div which does not exist so none of the buttons on compare in non-explorer seem to be working.

Can you please look into this and reassign with details on how to fix it.

Thanks,
~Harpreet

Comment 5 CFME Bot 2017-03-24 15:03:38 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/3541d83a779a5f42dc4582d7955694fdc2f3bee8

commit 3541d83a779a5f42dc4582d7955694fdc2f3bee8
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Thu Mar 23 14:30:21 2017 +0100
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Fri Mar 24 14:18:13 2017 +0100

    Added missing main_div - fixed functions on hosts comparison
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428946

 app/views/compare.haml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 6 Martin Kourim 2017-04-03 14:30:21 UTC
Verified on 5.8.0.8-alpha1 that the controls are no longer ignored.

Comment 8 errata-xmlrpc 2017-05-31 14:38:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.